LogASTTransformation.AbstractLoggingStrategyV2 (Groovy 5.0.6)
Description: declaration: package: org.codehaus.groovy.transform, class: LogASTTransformation, class: AbstractLoggingStrategyV2

Package org.codehaus.groovy.transform

# Class LogASTTransformation.AbstractLoggingStrategyV2

java.lang.Object
org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy
org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategyV2

All Implemented Interfaces:
  `LogASTTransformation.LoggingStrategy`, `LogASTTransformation.LoggingStrategyV2`

Direct Known Subclasses:
  `Commons.CommonsLoggingStrategy`, `Log.JavaUtilLoggingStrategy`, `Log4j.Log4jLoggingStrategy`, `Log4j2.Log4j2LoggingStrategy`, `PlatformLog.JavaUtilLoggingStrategy`, `Slf4j.Slf4jLoggingStrategy`

Enclosing class:
  LogASTTransformation

public abstract static class LogASTTransformation.AbstractLoggingStrategyV2 extends LogASTTransformation.AbstractLoggingStrategy implements LogASTTransformation.LoggingStrategyV2

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

  `loader`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractLoggingStrategyV2()`
  `protected`
  `AbstractLoggingStrategyV2(GroovyClassLoader loader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FieldNode`
  `addLoggerFieldToClass(ClassNode classNode, String fieldName, String categoryName)`
  In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class.

  ### Methods inherited from class org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

  `classNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.transform.LogASTTransformation.LoggingStrategy

  `getCategoryName, isLoggingMethod, wrapLoggingMethodCall`

  ### Methods inherited from interface org.codehaus.groovy.transform.LogASTTransformation.LoggingStrategyV2

  `addLoggerFieldToClass`

- ## Constructor Details

  - ### AbstractLoggingStrategyV2

    protected AbstractLoggingStrategyV2(GroovyClassLoader loader)

  - ### AbstractLoggingStrategyV2

    protected AbstractLoggingStrategyV2()

- ## Method Details

  - ### addLoggerFieldToClass

    public FieldNode addLoggerFieldToClass(ClassNode classNode, String fieldName, String categoryName)
    Description copied from interface: `LogASTTransformation.LoggingStrategy`
    In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class. Return the result of the ClassNode.addField operations.
    Specified by:
      `addLoggerFieldToClass` in interface `LogASTTransformation.LoggingStrategy`
    Parameters:
      `classNode` - the class that was originally annotated with the Log transformation.
      `fieldName` - the name of the logger field
      `categoryName` - the name of the logging category
    Returns:
      the FieldNode instance that was created and added to the class